import Vue from "vue";
import App from "@pc/App.vue";
import VueI18n from "vue-i18n";

import 'virtual:windi.css'
import router from "@pc/router";
import zhCN from "../common/locales/zh-CN";
import zhTW from "../common/locales/zh-TW";
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import '@pc/assets/css/index.css'

Vue.use(ElementUI);

Vue.config.productionTip = false;
Vue.config.devtools = true;

Vue.use(VueI18n);
const messages = {
  "zh-CN": zhCN,
  "zh-TW": zhTW,
};
const i18n = new VueI18n({
  locale: "zh-CN", // set locale
  messages, // set locale messages
});

/* eslint-disable no-new */
new Vue({
  el: "#app",
  router,
  render: (h) => h(App),
  i18n,
});
